package com.fufan.mtsaas.modules.sysmgr.sygroup.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.response.SYgroupHResponse;
import com.fufan.mtsaas.modules.sysmgr.sygroup.model.SYgroupH;
import com.fufan.mtsaas.modules.sysmgr.syuser.bo.request.UserGroupQueryRequest;
import com.fufan.mtsaas.modules.sysmgr.syuser.bo.request.UserQueryRequest;
import com.fufan.mtsaas.modules.sysmgr.syuser.model.SYusergroup;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
  *  Mapper 接口
 *
 * @author Liby
 * @since 2019-08-18
 */
@Repository
public interface SYgroupHDao extends BaseMapper<SYgroupH> {
    List<SYgroupH> queryUserRole(Page page, UserGroupQueryRequest params);

    SYgroupH selectById(Long id);

    List<SYgroupH> selectList(Page page, @Param("params") Map<String, String> params);
    List<SYgroupH> selectListLike(Page page, @Param("params") Map<String, String> params);

    int insertRecords(SYgroupH sYscriptD);

    int deleteByPk(@Param("params") Map<String, String> params);
    int updateRecords(SYgroupH sYscriptD);
}